/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { DisciplineForUserManipulationDto } from './discipline-for-user-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { LanguageForUserManipulationDto } from './language-for-user-manipulation-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { TitleForUserManipulationDto } from './title-for-user-manipulation-dto';

/**
 * Represents the data transfer object (DTO) for updating user details.
 * @export
 * @interface UserForUpdateDto
 */
export interface UserForUpdateDto {
    /**
     * The user\'s given name.
     * @type {string}
     * @memberof UserForUpdateDto
     */
    'givenName': string;
    /**
     * The user\'s family name.
     * @type {string}
     * @memberof UserForUpdateDto
     */
    'familyName': string;
    /**
     * The user\'s email address.
     * @type {string}
     * @memberof UserForUpdateDto
     */
    'email': string;
    /**
     * 
     * @type {TitleForUserManipulationDto}
     * @memberof UserForUpdateDto
     */
    'title'?: TitleForUserManipulationDto;
    /**
     * 
     * @type {LanguageForUserManipulationDto}
     * @memberof UserForUpdateDto
     */
    'language': LanguageForUserManipulationDto;
    /**
     * The user\'s organization.
     * @type {string}
     * @memberof UserForUpdateDto
     */
    'organization'?: string | null;
    /**
     * The disciplines associated with the user for manipulation.
     * @type {Array<DisciplineForUserManipulationDto>}
     * @memberof UserForUpdateDto
     */
    'disciplines': Array<DisciplineForUserManipulationDto>;
}

